org.icefaces.ace.component.fileentry

## Interface IFileEntry

- All Known Implementing Classes:
    FileEntry, FileEntryBase

      public interface IFileEntry

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbsolutePath()`
    `java.lang.String` | `getAccesskey()`
    `javax.el.MethodExpression` | `getFileEntryListener()`
    `java.lang.String` | `getLabel()`
    `int` | `getMaxFileCount()`
    `java.lang.String` | `getMaxFileCountMessage()`
    `long` | `getMaxFileSize()`
    `java.lang.String` | `getMaxFileSizeMessage()`
    `long` | `getMaxTotalSize()`
    `java.lang.String` | `getMaxTotalSizeMessage()`
    `java.lang.String` | `getRelativePath()`
    `java.lang.String` | `getRequiredMessage()`
    `FileEntryResults` | `getResults()`
    `int` | `getSize()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.Integer` | `getTabindex()`
    `boolean` | `isAutoUpload()`
    `boolean` | `isDisabled()`
    `boolean` | `isImmediate()`
    `boolean` | `isImmediateValidation()`
    `boolean` | `isMessagePersistence()`
    `boolean` | `isMultiple()`
    `boolean` | `isRequired()`
    `boolean` | `isUseOriginalFilename()`
    `boolean` | `isUseSessionSubdir()`
    `void` | `setAbsolutePath(java.lang.String absolutePath)`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setAutoUpload(boolean autoUpload)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setFileEntryListener(javax.el.MethodExpression fileEntryListener)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setImmediateValidation(boolean immediateValidation)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setMaxFileCount(int maxFileCount)`
    `void` | `setMaxFileCountMessage(java.lang.String maxFileCountMessage)`
    `void` | `setMaxFileSize(long maxFileSize)`
    `void` | `setMaxFileSizeMessage(java.lang.String maxFileSizeMessage)`
    `void` | `setMaxTotalSize(long maxTotalSize)`
    `void` | `setMaxTotalSizeMessage(java.lang.String maxTotalSizeMessage)`
    `void` | `setMessagePersistence(boolean messagePersistence)`
    `void` | `setMultiple(boolean multiple)`
    `void` | `setRelativePath(java.lang.String relativePath)`
    `void` | `setRequired(boolean required)`
    `void` | `setRequiredMessage(java.lang.String requiredMessage)`
    `void` | `setResults(FileEntryResults results)`
    `void` | `setSize(int size)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabindex(java.lang.Integer tabindex)`
    `void` | `setUseOriginalFilename(boolean useOriginalFilename)`
    `void` | `setUseSessionSubdir(boolean useSessionSubdir)`

- - ### Method Detail

    - #### setAbsolutePath

          void setAbsolutePath(java.lang.String absolutePath)

    - #### getAbsolutePath

          java.lang.String getAbsolutePath()

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setAutoUpload

          void setAutoUpload(boolean autoUpload)

    - #### isAutoUpload

          boolean isAutoUpload()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setFileEntryListener

          void setFileEntryListener(javax.el.MethodExpression fileEntryListener)

    - #### getFileEntryListener

          javax.el.MethodExpression getFileEntryListener()

    - #### setImmediate

          void setImmediate(boolean immediate)

    - #### isImmediate

          boolean isImmediate()

    - #### setImmediateValidation

          void setImmediateValidation(boolean immediateValidation)

    - #### isImmediateValidation

          boolean isImmediateValidation()

    - #### setLabel

          void setLabel(java.lang.String label)

    - #### getLabel

          java.lang.String getLabel()

    - #### setMaxFileCount

          void setMaxFileCount(int maxFileCount)

    - #### getMaxFileCount

          int getMaxFileCount()

    - #### setMaxFileCountMessage

          void setMaxFileCountMessage(java.lang.String maxFileCountMessage)

    - #### getMaxFileCountMessage

          java.lang.String getMaxFileCountMessage()

    - #### setMaxFileSize

          void setMaxFileSize(long maxFileSize)

    - #### getMaxFileSize

          long getMaxFileSize()

    - #### setMaxFileSizeMessage

          void setMaxFileSizeMessage(java.lang.String maxFileSizeMessage)

    - #### getMaxFileSizeMessage

          java.lang.String getMaxFileSizeMessage()

    - #### setMaxTotalSize

          void setMaxTotalSize(long maxTotalSize)

    - #### getMaxTotalSize

          long getMaxTotalSize()

    - #### setMaxTotalSizeMessage

          void setMaxTotalSizeMessage(java.lang.String maxTotalSizeMessage)

    - #### getMaxTotalSizeMessage

          java.lang.String getMaxTotalSizeMessage()

    - #### setMessagePersistence

          void setMessagePersistence(boolean messagePersistence)

    - #### isMessagePersistence

          boolean isMessagePersistence()

    - #### setMultiple

          void setMultiple(boolean multiple)

    - #### isMultiple

          boolean isMultiple()

    - #### setRelativePath

          void setRelativePath(java.lang.String relativePath)

    - #### getRelativePath

          java.lang.String getRelativePath()

    - #### setRequired

          void setRequired(boolean required)

    - #### isRequired

          boolean isRequired()

    - #### setRequiredMessage

          void setRequiredMessage(java.lang.String requiredMessage)

    - #### getRequiredMessage

          java.lang.String getRequiredMessage()

    - #### setResults

          void setResults(FileEntryResults results)

    - #### getResults

          FileEntryResults getResults()

    - #### setSize

          void setSize(int size)

    - #### getSize

          int getSize()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabindex

          void setTabindex(java.lang.Integer tabindex)

    - #### getTabindex

          java.lang.Integer getTabindex()

    - #### setUseOriginalFilename

          void setUseOriginalFilename(boolean useOriginalFilename)

    - #### isUseOriginalFilename

          boolean isUseOriginalFilename()

    - #### setUseSessionSubdir

          void setUseSessionSubdir(boolean useSessionSubdir)

    - #### isUseSessionSubdir

          boolean isUseSessionSubdir()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.